Skip to content
You're viewing documentation for v2026.11.12-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Adopt an untracked stanza

Adopt an untracked on-disk stanza as orphaned.

POST/api/v1/servers/{serverId}/stanzas/{stanzaName}/adopt
Authorization
tse_sessionAPI key · cookierequired
Path parameters
serverIdstringrequired
stanzaNamestringrequired
Query parameters
repointeger<int64>
Responses
201

Created

namestringrequired
stanza_idstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/servers/string/stanzas/string/adopt' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "name": "string",
  "stanza_id": "string"
}